name = "MyTumble"
description = "Changes the loot table so that everything below .1% is 1%"
author = "Vash"
version = "2.2"
forumthread = "N/A"
api_version = 6
icon_atlas = "modicon.xml"
icon = "modicon.tex"
dont_starve_compatible = false
reign_of_giants_compatible = true
shipwrecked_compatible = true

configuration_options =
{
    {
        name = "mode",
        label = "Mod Mode",
        options = 
        {
            {description = "Default", data = "basic_mode"}, 
            {description = "Customized", data = "advanced_mode"}
        }, 
        default = "basic_mode",
    },
    {
        name = "Cut_Grass",
        label = "Cut Grass",
        options = 
        {						
            {description = "Less", data = 20}, 
            {description = "Default", data = 40}, 
            {description = "More", data = 60}
        }, 
        default = 40
    },
    {
        name = "Twigs", 
        label = "Twigs",
        options = 
        {
            {description = "Less", data = 20}, 
            {description = "Default", data = 40}, 
            {description = "More", data = 60}
        },
        default = 40
    },
    {
        name = "Petals", 
				label = "Petals",
        options = 
        {
            {description = "Less", data = .5}, 
            {description = "Default", data = 1}, 
            {description = "More", data = 2}
        },
        default = 1
    },
		{
        name = "Gord_Knot",
        label = "Gord's Knot",
        options = 
        {
            {description = "Less", data = .5}, 
            {description = "Default", data = 1}, 
            {description = "More", data = 2}
        }, 
        default = 1
    },
    {
        name = "Beefalo_Wool", 
        label = "Beefalo Wool",
        options = 
        {
            {description = "Less", data = .5}, 
            {description = "Default", data = 1}, 
            {description = "More", data = 2}
        },
        default = 1
    },
    {
        name = "Berries", 
				label = "Berries",
        options = 
        {
            {description = "Less", data = .5}, 
            {description = "Default", data = 1}, 
            {description = "More", data = 2}
        },
        default = 1
    },
    {
        name = "Blueprint", 
        label = "Blueprint",
        options = 
        {
            {description = "Less", data = .5}, 
            {description = "Default", data = 1}, 
            {description = "More", data = 2}
        },
        default = 1
    },		
    {
        name = "Dark_Petals", 
        label = "Dark Petals",
        options = 
        {
            {description = "Less", data = .5}, 
            {description = "Default", data = 1}, 
            {description = "More", data = 2}
        },
        default = 1
    },		
    {
        name = "Rubber_Bung", 
        label = "Hardened Rubber Bung",
        options = 
        {
            {description = "Less", data = .5}, 
            {description = "Default", data = 1}, 
            {description = "More", data = 2}
        },
        default = 1
    },
    {
        name = "Hound_Tooth", 
        label = "Hound's Tooth",
        options = 
        {
            {description = "Less", data = .5}, 
            {description = "Default", data = 1}, 
            {description = "More", data = 2}
        },
        default = 1
    },
    {
        name = "Stinger", 
        label = "Stinger",
        options = 
        {
            {description = "Less", data = .5}, 
            {description = "Default", data = 1}, 
            {description = "More", data = 2}
        },
        default = 1
    },
		{
        name = "Gears", 
        label = "Gears",
        options = 
        {
            {description = "Less", data = .5}, 
            {description = "Default", data = 1}, 
            {description = "More", data = 2}
        },
        default = 1
    },
		{
        name = "Foilage", 
        label = "Foilage",
        options = 
        {
            {description = "Less", data = .5}, 
            {description = "Default", data = 1}, 
            {description = "More", data = 2}
        },
        default = 1
    },
		{
        name = "Silk", 
        label = "Silk",
        options = 
        {
            {description = "Less", data = .5}, 
            {description = "Default", data = 1}, 
            {description = "More", data = 2}
        },
        default = 1
    },
		{
        name = "Butterfly_Wings", 
        label = "Butterfly Wings",
        options = 
        {
            {description = "Less", data = .5}, 
            {description = "Default", data = 1}, 
            {description = "More", data = 2}
        },
        default = 1
    },
		{
        name = "Rope", 
        label = "Rope",
        options = 
        {
            {description = "Less", data = .5}, 
            {description = "Default", data = 1}, 
            {description = "More", data = 2}
        },
        default = 1
    },
		{
        name = "Cut_Reeds", 
        label = "Cut Reeds",
        options = 
        {
            {description = "Less", data = .5}, 
            {description = "Default", data = 1}, 
            {description = "More", data = 2}
        },
        default = 1
    },
		{
        name = "Seeds", 
        label = "Seeds",
        options = 
        {
            {description = "Less", data = .5}, 
            {description = "Default", data = 1}, 
            {description = "More", data = 2}
        },
        default = 1
    },
		{
        name = "Frazzled_Wires", 
        label = "Frazzled Wires",
        options = 
        {
            {description = "Less", data = .25}, 
            {description = "Default", data = .5}, 
            {description = "More", data = 1}
        },
        default = .5
    },
		{
        name = "Gnome", 
        label = "Gnome",
        options = 
        {
            {description = "Less", data = .25}, 
            {description = "Default", data = .5}, 
            {description = "More", data = 1}
        },
        default = .5
    },
		{
				name = "Jet_Feather", 
        label = "Jet Feather",
        options = 
        {
            {description = "Less", data = .16}, 
            {description = "Default", data = .33}, 
            {description = "More", data = .66}
        },
        default = .33
    },
		{
        name = "Crimson_Feather", 
        label = "Crimson Feather",
        options = 
        {
            {description = "Less", data = .16}, 
            {description = "Default", data = .33}, 
            {description = "More", data = .66}
        },
        default = .33
    },
		{
        name = "Azure_Feather", 
        label = "Azure Feather",
        options = 
        {
            {description = "Less", data = .16}, 
            {description = "Default", data = .33}, 
            {description = "More", data = .66}
        },
        default = .33
    },
		{
        name = "Rabbit", 
        label = "Rabbit",
        options = 
        {
            {description = "Less", data = .05}, 
            {description = "Default", data = .1}, 
            {description = "More", data = .2}
        },
        default = .1
    },
		{
        name = "Moleworm", 
        label = "Moleworm",
        options = 
        {
            {description = "Less", data = .05}, 
            {description = "Default", data = .1}, 
            {description = "More", data = .2}
        },
        default = .1
    },    
		{
        name = "Bee", 
        label = "Bee",
        options = 
        {
            {description = "Less", data = .05}, 
            {description = "Default", data = .1}, 
            {description = "More", data = .2}
        },
        default = .1
    },    
		{
        name = "Frog", 
        label = "Frog",
        options = 
        {
            {description = "Less", data = .05}, 
            {description = "Default", data = .1}, 
            {description = "More", data = .2}
        },
        default = .1
    },    
		{
        name = "Spider", 
        label = "Spider",
        options = 
        {
            {description = "Less", data = .05}, 
            {description = "Default", data = .1}, 
            {description = "More", data = .2}
        },
        default = .1
    },
    {
        name = "Bone_Shards", 
        label = "Bone Shards",
        options = 
        {
            {description = "Less", data = .05}, 
            {description = "Default", data = .1}, 
            {description = "More", data = .2}
        },
        default = .1
    },    
		{
        name = "Mosquito", 
        label = "Mosquito",
        options = 
        {
            {description = "Less", data = .05}, 
            {description = "Default", data = .1}, 
            {description = "More", data = .2}
        },
        default = .1
    },    
		{
        name = "Blue_Gem", 
        label = "Blue Gem",
        options = 
        {
            {description = "Less", data = .02}, 
            {description = "Default", data = .04}, 
						{description = "Recommended", data = .1}, 
            {description = "More", data = .08}
						
        },
        default = .04
    },   
		{
        name = "Red_Gem", 
        label = "Red Gem",
        options = 
        {
            {description = "Less", data = .01}, 
            {description = "Default", data = .02}, 
						{description = "Recommended", data = .1}, 
            {description = "More", data = .04}
        },
        default = .02
    },
		{
        name = "Beard_Hair", 
        label = "Beard Hair",
        options = 
        {
            {description = "Less", data = .01}, 
            {description = "Default", data = .02}, 
						{description = "Recommended", data = .1}, 
            {description = "More", data = .04}
        },
        default = .02
    },    
		{
        name = "Orange_Gem", 
        label = "Orange Gem",
        options = 
        {
            {description = "Less", data = .01}, 
            {description = "Default", data = .02}, 
						{description = "Recommended", data = .1}, 
            {description = "More", data = .04}
        },
        default = .02
    },    
		{
        name = "Green_Gem", 
        label = "Green Gem",
        options = 
        {
            {description = "Less", data = .01}, 
            {description = "Default", data = .02}, 
						{description = "Recommended", data = .1}, 
            {description = "More", data = .04}
        },
        default = .02
    },    
		{
        name = "Yellow_Gem", 
        label = "Yellow Gem",
        options = 
        {
            {description = "Less", data = .005}, 
            {description = "Default", data = .01}, 
						{description = "Recommended", data = .1}, 
            {description = "More", data = .02}
        },
        default = .01
    },    
		{
        name = "Purple_Gem", 
        label = "Purple Gem",
        options = 
        {
            {description = "Less", data = .005}, 
            {description = "Default", data = .01}, 
						{description = "Recommended", data = .1}, 
            {description = "More", data = .02}
        },
        default = .01
    },
}